<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="
        http://www.springframework.org/schema/beans 
        http://www.springframework.org/schema/beans/spring-beans.xsd">

    <!-- bean definitions here -->
	
	<bean id="customer" class="com.weshopify.app.customer.Customer">
		<property name="cid" value="100"></property>
		<property name="cName" value="Robert"/>
		<property name="email" value="robert@yopmail.com"/>
		<property name="mobile" value="9876543210"/>
		
	</bean>
	
	<bean id="lenovo-thinkpad" class="com.weshopify.app.product.Product">
		<property name="pid" value="1000"></property>
		<property name="name" value="Lenovo-ThinkPad-T-Series-100"></property>
		<property name="brand" value="Lenovo"></property>
		<property name="price" value="80000.00"></property>
	</bean>
	
	<bean id="lenovo-opticalmouse" class="com.weshopify.app.product.Product">
		<property name="pid" value="1001"></property>
		<property name="name" value="lenovo-opticalmouse"></property>
		<property name="brand" value="Lenovo"></property>
		<property name="price" value="1000.00"></property>
		
	</bean>
	
	<bean id="samsung-earbuds" class="com.weshopify.app.product.Product">
		<property name="pid" value="2002"></property>
		<property name="name" value="Samsung-Dolby-Digital-Buds"></property>
		<property name="brand" value="Samsung"></property>
		<property name="price" value="5000.00"></property>
		
	</bean>
	
<!--	private String pinCode;
	private String area;
	private String flatNo;
	private List<String> landMarks;-->
	<bean id="addr1" class="com.weshopify.app.customer.Address">
		<property name="pinCode" value="500072"></property>
		<property name="area" value="GachiBowli"></property>
		<property name="flatNo" value="100/100"></property>
		<property name="landMarks">
			<list>
				<value>Opp.ICICITowers</value>
				<value>Behind Waverock Building</value>
			</list>
		</property>
		<property name="addressProofs">
			<props>
				<prop key="aaDharCard">9876543210</prop>
				<prop key="panCard">0123456789</prop>
			</props>
			
		</property>
	</bean>
	
	<bean id="addr2" class="com.weshopify.app.customer.Address">
		<property name="pinCode" value="500042"></property>
		<property name="area" value="Jubleehils"></property>
		<property name="flatNo" value="200/100"></property>
		<property name="landMarks">
			<list>
				<value>Near Peddama Temple</value>
				<value>Opp.Metro Station</value>
			</list>
		</property>
	</bean>
	
	<bean id="sampleProduct" class="com.weshopify.app.order.OrderDetails">
		<property name="orderId" value="ord-1234-SN"></property>
		<property name="netPrice" value="81000.50"></property>
		<!--<property name="product" ref="product"></property>-->
		<property name="productSet">
			<set>
				<ref bean="lenovo-thinkpad" />
				<ref bean="lenovo-opticalmouse" />
				<ref bean="samsung-earbuds"/>				
			</set>
		</property>
		<property name="customer" ref="customer"></property>
		<property name="landMarks">
			<set>
				<value>Near Ameerpet Metro Station</value>
				<value>Opp.Pillor No.18</value>
				<value>Adjuscent to Charminar</value>
			</set>
		</property>
		
		<property name="addressMap">
			<map>
				<entry key="500072" value-ref="addr1"></entry>
				<entry key="500042" value-ref="addr2"></entry>
			</map>
		</property>
		
	</bean>	    

</beans>